### Method

# Ide ToolchainManager get_toolchain

#### Declaration

    IdeToolchain*
    ide_toolchain_manager_get_toolchain (
      IdeToolchainManager* self,
      const gchar* id
    )

#### Description

Gets the toolchain by its internal identifier.

Available since: | 3.32

#### Parameters

`id` | `const gchar*`
| The identifier of the toolchain.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `IdeToolchain`
| An `IdeToolchain`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.